Package Details: beancount-language-server 1.3.1-1

Git Clone URL: https://aur.archlinux.org/beancount-language-server.git (read-only, click to copy)
Package Base: beancount-language-server
Description: A Language Server Protocol (LSP) for beancount files
Upstream URL: https://github.com/polarmutex/beancount-language-server
Licenses: MIT
Submitter: None
Maintainer: None
Last Packager: None
Votes: 1
Popularity: 0.002279
First Submitted: 2022-05-09 07:08 (UTC)
Last Updated: 2023-04-01 04:48 (UTC)

Latest Comments

rinhin commented on 2023-11-21 10:32 (UTC)

Please update to 1.3.3 since it fixes the LSP crashing. Thanks !

<deleted-account> commented on 2023-01-03 03:35 (UTC)

If you are using sandbox (Like paru), rustup should use the latest cargo by default. If you are using the system's rustup, you need to update the rust toolchain manually. @geedorah

geedorah commented on 2023-01-03 00:38 (UTC)

Was receiving this error:

Compiling hashbrown v0.12.0
error: edition 2021 is unstable and only available with -Z unstable-options.

error: could not compile `hashbrown`

To learn more, run the command again with --verbose.
warning: build failed, waiting for other jobs to finish...
error: build failed
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: beancount-language-server

It seems the rustup package has a /slightly/ outdated cargo that does not support "edition 2021". After removing rustup and instead installing rust and cargo this package builds properly.